Function
getAutoSeqStreamFormatName
Returns
getAutoSeqStreamFormatName(autoSeqStreamFormat)
Include Headers
seqan/stream.h
Parameters

autoSeqStreamFormat | The AutoSeqStreamFormat object to get the format name from. Types: AutoSeqStreamFormat

Return Values
char const * with the format name.
Examples
// (Create RecordReader object recordReader with sequence file here).
AutoSeqStreamFormat formatTag;
if (checkFormat(recordReader, formatTag))
std::cout << "File format is " << getAutoSeqStreamFormatName(formatTag) << '\n';
See Also
AutoSeqStreamFormat, guessStreamFormat
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58